: Class PropertyTreeEditor.EditorDispatcher

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Servlets
Class PropertyTreeEditor.EditorDispatcher

    java.lang.Object
      |
      +--com.mortbay.Servlets.PropertyTreeEditor.EditorDispatcher

Enclosing class:
  PropertyTreeEditor

public class PropertyTreeEditor.EditorDispatcher
extends java.lang.Object
implements ServletDispatchHandler

Constructor Summary
`PropertyTreeEditor.EditorDispatcher()`

Method Summary
`java.lang.Object` | `defaultDispatch(java.lang.String method, ServletDispatch dispatch, java.lang.Object contextObj, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Handle an unmatched method
`void` | `edit(PropertyTreeEditor.Context context, PropertyTreeEditor.EditArgs args, javax.servlet.http.HttpServletRequest req)`
`void` | `load(PropertyTreeEditor.Context context, javax.servlet.http.HttpServletRequest req)`
`void` | `save(PropertyTreeEditor.Context context, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTreeEditor.EditorDispatcher

    public PropertyTreeEditor.EditorDispatcher()

Method Detail

### edit

    public void edit(PropertyTreeEditor.Context context,
                     PropertyTreeEditor.EditArgs args,
                     javax.servlet.http.HttpServletRequest req)

### save

    public void save(PropertyTreeEditor.Context context,
                     javax.servlet.http.HttpServletRequest req,
                     javax.servlet.http.HttpServletResponse res)
              throws java.lang.Exception

### load

    public void load(PropertyTreeEditor.Context context,
                     javax.servlet.http.HttpServletRequest req)
              throws java.lang.Exception

### defaultDispatch

    public java.lang.Object defaultDispatch(java.lang.String method,
                                            ServletDispatch dispatch,
                                            java.lang.Object contextObj,
                                            javax.servlet.http.HttpServletRequest req,
                                            javax.servlet.http.HttpServletResponse res)
                                     throws java.lang.Exception

  Description copied from interface: ServletDispatchHandler
  Handle an unmatched method
  Specified by:
    defaultDispatch in interface ServletDispatchHandler
  Tags copied from interface: ServletDispatchHandler
  Parameters:
    `method` - The name of the unmatched method - this will be null if there was no path left to handle
    `dispatch` - The dispatch object
    `context` -
    `req` -
    `res` -
  Returns:
    non-null if the request was handled

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD